var util = require('util')
var assert = require('assert')
var context = require('vm').runInNewContext;

// isArray
assert.equal(true, Array.isArray([]));
assert.equal(true, Array.isArray(Array()));
assert.equal(true, Array.isArray(new Array()));
assert.equal(true, Array.isArray(new Array(5)));
assert.equal(true, Array.isArray(new Array('with', 'some', 'entries')));
assert.equal(true, Array.isArray(context('Array')()));
assert.equal(false, Array.isArray({}));
assert.equal(false, Array.isArray({ push: function() {} }));
assert.equal(false, Array.isArray(/regexp/));
assert.equal(false, Array.isArray(new Error));
assert.equal(false, Array.isArray(Object.create(Array.prototype)));

assert.equal(true, util.isArray([]));
assert.equal(true, util.isArray(Array()));
assert.equal(true, util.isArray(new Array()));
assert.equal(true, util.isArray(new Array(5)));
assert.equal(true, util.isArray(new Array('with', 'some', 'entries')));
assert.equal(true, util.isArray(context('Array')()));
assert.equal(false, util.isArray({}));
assert.equal(false, util.isArray({ push: function() {} }));
assert.equal(false, util.isArray(/regexp/));
assert.equal(false, util.isArray(new Error));
assert.equal(false, util.isArray(Object.create(Array.prototype)));

console.log('All passed')
